#!/bin/bash
# encoding: utf-8

# Copyright: Mattias Schlenker 2010
# License:   GPL v2, v3, BSD, MIT, X11 - whichever suits your needs

copysource=""
if [ -d "/lesslinux/cdrom/lesslinux" ] ; then 
	copysource="/lesslinux/cdrom"
elif [ -d "/lesslinux/toram/lesslinux" ] ; then
	copysource="/lesslinux/toram"
elif [ -d "/lesslinux/isoloop/lesslinux" ] ; then
	copysource="/lesslinux/isoloop"
fi
if [ -z "$copysource" ] ; then
	echo '***> '"Quellordner nicht gefunden, Installation nicht möglich"'!'
	exit 1
fi

installtarget="$1"
echo "===> Lösche USB-Laufwerk"
dd if=/dev/zero bs=1048576 count=4 of=${installtarget}
echo "===> Schreibe Bootsektor"
dd if=/usr/share/syslinux/mbr.bin of=${installtarget}
echo "===> Erstelle Dateisystem"
mkfs.msdos -F32 -I ${installtarget}
mdev -s
echo "===> Kopiere Bootdateien und schreibe Bootloader"
mkdir /lesslinux/install_target > /dev/null 2>&1
mount -t vfat ${installtarget} /lesslinux/install_target
# rsync -a ${copysource}/boot/ /lesslinux/install_target/boot/
tar -C "${copysource}" -cvf - boot | tar -C /lesslinux/install_target -xf -
extlinux --install /lesslinux/install_target/boot/isolinux
echo "===> Kopiere Systemdateien"
# rsync -a ${copysource}/lesslinux /lesslinux/install_target/
tar -C "${copysource}" -cvf - lesslinux | tar -C /lesslinux/install_target -xf -
echo "===> Kopiere Virensignaturen"
# rsync -a --progress ${copysource}/avupdate /lesslinux/install_target/
tar -C "${copysource}" -cvf - avupdate | tar -C /lesslinux/install_target -xf -
# rsync -a --progress /AntiVir/ /lesslinux/install_target/antivir/
mkdir /lesslinux/install_target/antivir
tar -C /AntiVir -cvf - . | tar -C /lesslinux/install_target/antivir -xf -
echo "===> Schließe die Installation ab - Bitte etwas Geduld"
umount ${installtarget}
echo "===> Fertig"'!'
